import { api } from '@/services/api';
import { request } from '@umijs/max';
type Page = {
  pageSize: number | string,
  pageNum: number | string
}

interface Params extends Page {
  corpId?: string,//企微ID
  corpName?: string,//企微名称
}
/**获取分销商账号列表 */
export async function corpListOfPage(params: Params) {
  return request(api + '/admin/corp/listOfPage', {
    method: 'GET',
    params
  });
}
/**授权 */
export async function corpPreAuth() {
  return request(api + '/admin/corp/preAuth', {
    method: 'GET',
  });
}

/**同步*/
export async function corpSyncAll(corpId:any) {
  return request(api + `/admin/corp/syncAll/${corpId}`, {
    method: 'GET',
  });
}